
Redmine - Feature #2879

Emails from redmine should include a List-Id header, so that they don't trigger vacation

auto-responders

2009-03-02 13:39 - Guy Bolton King

Status: Closed Start date: 2009-03-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Our installation of Redmine uses the email submission feature, which doesn't play nicely with vacation auto-responders:

Problem:

When a user switches on a vacation auto-responder on their mail client, notifications from Redmine end up being responded to with

"I'm on holiday" replies, and thus get processed by the email submission agent and end up in the comments of the original issue.

Solution:

Most non-broken auto-responders respect the RFC2419 List-Id header, and don't reply to emails that have it.  If Redmine added a

List-Id header to outgoing notification emails, this would solve the problem.  This could be generated from the Redmine from-address

by replacing the '@' with a '.' .

Related issues:

Related to Redmine - Feature #2984: Emails from redmine should include header... Closed 2009-03-16

Associated revisions

Revision 2565 - 2009-03-07 16:14 - Jean-Philippe Lang

Adds a List-Id header to all emails (#2879).

Revision 2655 - 2009-04-05 14:33 - Jean-Philippe Lang

Replaces List-Id header with Precedence and Auto-Submitted headers (#2984, #2879).

History

#1 - 2009-03-02 19:35 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-03-07 16:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.3

- Resolution set to Fixed

Most non-broken auto-responders respect the RFC2419 List-Id header, and don't reply to emails that have it

 Actually, this recommandation is found in RFC3834 and List-Id RFC is RFC2919.

Committed in r2565.

#3 - 2009-03-07 16:57 - Jean-Philippe Lang

- Status changed from Closed to Resolved

#4 - 2009-04-05 14:30 - Jean-Philippe Lang

- Target version deleted (0.8.3)
http://tools.ietf.org/rfc/rfc3834.txt
http://www.ietf.org/rfc/rfc2919.txt
https://www.redmine.org/projects/redmine/repository/svn/revisions/2565


#5 - 2009-04-05 16:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

